Package org.kapott.hbci.GV_Result

# Class GVRFestCondList.Cond

java.lang.Object
org.kapott.hbci.GV_Result.GVRFestCondList.Cond

Enclosing class:
  `GVRFestCondList`

public static final class GVRFestCondList.Cond extends Object
Informationen über eine mögliche Kondition für Festgeldanlagen

## Field Summary

Fields
Modifier and Type
Field
Description
`Date`
`ablaufdatum`
Ende der Laufzeit der Anlage
`Date`
`anlagedatum`
Beginn der Laufzeit der Anlage
`Date`
`date`
Datum, wann diese Konditionsinformationen bereitgestellt wurden (optional)
`String`
`id`
Identifikations-String für diese Kondition (optional)
`Value`
`maxbetrag`
Höchstanlagebetrag (optional)
`static final int`
`METHOD_2831_360`
Zinsmethode - Berechnung mit Monat je 28 bzw 31 und Jahr je 360 Tage
`static final int`
`METHOD_2831_365`
Zinsmethode - Berechnung mit Monat je 28 bzw 31 und Jahr je 365 Tage
`static final int`
`METHOD_2831_365366`
Zinsmethode - Berechnung mit Monat je 28 bzw 31 und Jahr je 365 bzw 366 Tage
`static final int`
`METHOD_30_360`
Zinsmethode - Berechnung mit Monat je 30 und Jahr je 360 Tage
`static final int`
`METHOD_30_365`
Zinsmethode - Berechnung mit Monat je 30 und Jahr je 365 Tage
`static final int`
`METHOD_30_365366`
Zinsmethode - Berechnung mit Monat je 30 und Jahr je 365 bzw 366 Tage
`Value`
`minbetrag`
Mindestanlagebetrag
`String`
`name`
Beschreibender Name für diese Kondition (optional)
`String`
`version`
Versionsnummer dieser Kondition (optional)
`int`
`zinsmethode`
Zinsmethode zur Berechnung des Zinsbetrages
`long`
`zinssatz`
Zinssatz für die Anlage mal 1000

## Constructor Summary

Constructors
Constructor
Description
`Cond()`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### METHOD_30_360

public static final int METHOD_30_360
Zinsmethode - Berechnung mit Monat je 30 und Jahr je 360 Tage

See Also:
  - Constant Field Values

### METHOD_2831_360

public static final int METHOD_2831_360
Zinsmethode - Berechnung mit Monat je 28 bzw 31 und Jahr je 360 Tage

See Also:
  - Constant Field Values

### METHOD_2831_365366

public static final int METHOD_2831_365366
Zinsmethode - Berechnung mit Monat je 28 bzw 31 und Jahr je 365 bzw 366 Tage

See Also:
  - Constant Field Values

### METHOD_30_365366

public static final int METHOD_30_365366
Zinsmethode - Berechnung mit Monat je 30 und Jahr je 365 bzw 366 Tage

See Also:
  - Constant Field Values

### METHOD_2831_365

public static final int METHOD_2831_365
Zinsmethode - Berechnung mit Monat je 28 bzw 31 und Jahr je 365 Tage

See Also:
  - Constant Field Values

### METHOD_30_365

public static final int METHOD_30_365
Zinsmethode - Berechnung mit Monat je 30 und Jahr je 365 Tage

See Also:
  - Constant Field Values

### anlagedatum

public Date anlagedatum
Beginn der Laufzeit der Anlage

### ablaufdatum

public Date ablaufdatum
Ende der Laufzeit der Anlage

### zinssatz

public long zinssatz
Zinssatz für die Anlage mal 1000

### zinsmethode

public int zinsmethode
Zinsmethode zur Berechnung des Zinsbetrages

### minbetrag

public Value minbetrag
Mindestanlagebetrag

### maxbetrag

public Value maxbetrag
Höchstanlagebetrag (optional)

### id

public String id
Identifikations-String für diese Kondition (optional)

### name

public String name
Beschreibender Name für diese Kondition (optional)

### version

public String version
Versionsnummer dieser Kondition (optional)

### date

public Date date
Datum, wann diese Konditionsinformationen bereitgestellt wurden (optional)

## Constructor Details

### Cond

public Cond()

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`